if [ -x /usr/bin/fc-cache ]; then
  /usr/bin/fc-cache -f &> /dev/null
fi

if [ -x /usr/bin/mkfontdir ]; then
  ( cd usr/share/fonts/misc ; /usr/bin/mkfontdir )
fi

if [ -x /usr/bin/mkfontscale ]; then
  ( cd usr/share/fonts/misc ; /usr/bin/mkfontscale )
fi

# This may or may not work, but will do no harm:
DISPLAY=:0 /usr/bin/xset fp rehash &>/dev/null

if ! /bin/grep -q "^vga " usr/share/fonts/misc/fonts.alias; then
  echo "vga          -dosemu-vga-medium-r-normal--17-160-75-75-p-80-ibm-cp437" >> usr/share/fonts/misc/fonts.alias
fi

if ! /bin/grep -q "^vga8x19 " usr/share/fonts/misc/fonts.alias; then
  echo "vga8x19      -dosemu-vga-medium-r-normal--19-190-75-75-c-80-ibm-cp437" >> usr/share/fonts/misc/fonts.alias
fi

if ! /bin/grep -q "^vga11x19 " usr/share/fonts/misc/fonts.alias; then
  echo "vga11x19     -dosemu-vga-medium-r-normal--19-190-75-75-c-100-ibm-cp437" >> usr/share/fonts/misc/fonts.alias
fi

if ! /bin/grep -q "^vga10x24 " usr/share/fonts/misc/fonts.alias; then
  echo "vga10x24     -dosemu-vga-medium-r-normal--24-240-75-75-c-100-ibm-cp437" >> usr/share/fonts/misc/fonts.alias
fi

if ! /bin/grep -q "^vga12x30 " usr/share/fonts/misc/fonts.alias; then
  echo "vga12x30     -dosemu-vga-medium-r-normal--30-300-75-75-c-120-ibm-cp437" >> usr/share/fonts/misc/fonts.alias
fi

if ! /bin/grep -q "^vgacyr " usr/share/fonts/misc/fonts.alias; then
  echo "vgacyr       -dosemu-vga-medium-r-normal--17-160-75-75-c-80-ibm-cp866" >> usr/share/fonts/misc/fonts.alias
fi

if ! /bin/grep -q "^vga10x20 " usr/share/fonts/misc/fonts.alias; then
  echo "vga10x20     -dosemu-vga-medium-r-normal--20-200-75-75-c-100-ibm-cp866" >> usr/share/fonts/misc/fonts.alias
fi

if ! /bin/grep -q "^vga-ua " usr/share/fonts/misc/fonts.alias; then
  echo "vga-ua       -dosemu-vga-medium-r-normal--17-160-75-75-c-80-ibm-cp1125" >> usr/share/fonts/misc/fonts.alias
fi

if ! /bin/grep -q "^vga10x20-ua " usr/share/fonts/misc/fonts.alias; then
  echo "vga10x20-ua  -dosemu-vga-medium-r-normal--20-200-75-75-c-100-ibm-cp1125" >> usr/share/fonts/misc/fonts.alias
fi
